<template>
  <div>
    <div class="my-5 content">
      <v-row class="my-1 mx-4 white">
        <v-col cols="12" class="white--text mygrad h mb-2">
          <h2>{{ $t('users.createEmployee') }}</h2>
        </v-col>
        <v-col cols="12" md="6">
          <v-text-field outlined v-model="name" hint="Accept only Character"  :label="$t('users.name')"></v-text-field>
        </v-col>


         <v-col cols="12" md="6">
          <v-text-field
          outlined
            v-model="phone"
            :label="$t('users.phoneNumber')"

          ></v-text-field>
        </v-col>
         <v-col cols="12" md="6">
          <v-text-field
          outlined
            v-model="email"
            :label="$t('users.email')"
            :rules="emailRules"
          ></v-text-field>
        </v-col>

        <v-col cols="12" md="6">
          <v-text-field
          outlined
            v-model="password"
            :label="$t('login.password')"
          ></v-text-field>
        </v-col>


        <v-col cols="12">
          <div class="d-flex justify-center py-2">
            <v-btn
            dark
            large
            width="150"
            class=" mygrad mx-2"
            @click="addModerator"
            :disabled="
              !name || !password
            "
          >
            {{ $t("common.add") }}
          </v-btn>
          </div>
        </v-col>
      </v-row>
    </div>
  </div>
</template>
<script>
import { mapActions } from "vuex";
export default {
  name: "addModerator",
  data() {
    return {
      name: "",
      password: "",
      email: "",
      phone: "",

      NameRules: [
        (v) => (v && v.length >= 4) || this.$i18n.t("NameERROR"),
      ],
      PasswordRules: [

        (v) => (v && v.length >= 8 && /[A-Z]/.test(v)) || this.$i18n.t("passwordERROR"),
      ],
      emailRules: [
        (v) => !!v || "E-mail is required",
        (v) => /.+@.+\..+/.test(v) || "E-mail must be valid",
      ],
    };
  },

  methods: {
    ...mapActions("Moderators", ["postModerator"]),
    addModerator() {
      this.postModerator({
        name: this.name,
        password: this.password,
        email: this.email,
        phone: this.phone,
      });
    },
  },
  mounted() {},
};
</script>
<style lang="scss">
.mapHeader {
  color: #fff;
  background-color: #042d4e;
  padding: 0.5rem;
}
.center-content {
  padding: 20px;
  width: 90%;
  margin: auto;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 0 15px 2px #00000020;
}
.h {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px 10px 0 0;
}

</style>
